#
# $Id: notebook.tcl,v 1.5 2004/02/11 16:25:39 jenglish Exp $
# 
# Bindings for TNotebook widget
#

bind TNotebook <ButtonPress-1> { tile::notebook::Select %W %x %y }
bind TNotebook <Key-Left> { tile::notebook::CycleTab %W -1 }
bind TNotebook <Key-Right> { tile::notebook::CycleTab %W 1 }

namespace eval tile {
    namespace eval notebook {
    	proc Select {w x y} {
	    set tab [$w index @$x,$y]
	    if {$tab ne ""} {
	    	$w select $tab
		focus $w
		event generate $w <<NotebookTabChanged>>
	    }
	}

	proc CycleTab {w dir} {
	    if {[$w index end] == 0} { return }
	    $w select [expr {([$w index current] + $dir) % [$w index end]}]
	    event generate $w <<NotebookTabChanged>>
	}
    }
}

