#
# $Id: altTheme.tcl,v 1.9 2004/02/09 21:45:08 jenglish Exp $
#
# Tile widget set: Alternate theme
#

namespace eval tile {

style theme settings alt {

    style map "." -background \
	    [list disabled $defaultBG  active $activeBG  {} $defaultBG]
    style map "." -foreground  [list disabled #a3a3a3]

    style default "." -troughcolor $troughColor
#X: style default "." -borderwidth 1

    style default TButton -width -11 -padding "1 1" -relief raised
    style map TButton -relief {
	{pressed !disabled} 	sunken
	{active !disabled} 	raised
    }
    style map TCheckbutton -indicatorcolor \
	[list  disabled $defaultBG  pressed $defaultBG  {} #FFFFFF]
    style map TRadiobutton -indicatorcolor \
	[list  disabled $defaultBG  pressed $defaultBG  {} #FFFFFF]

    style map TScrollbar -relief { pressed sunken  {} raised }

    style default Tab.TNotebook -padding {4m 2m} -font ButtonFont
    style map Tab.TNotebook -background \
    	[list selected $defaultBG {} $troughColor] \

    style default TScale -groovewidth 4 -troughrelief sunken
    style map TScale -sliderrelief {pressed sunken  {} raised}
    style map TProgress -background {{} SteelBlue}

} }
